Skip to content

One version with its content

GET
/api/v1/workspaces/{workspace}/campaigns/{campaignId}/versions/{version}
curl --request GET \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/campaigns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/versions/1 \
--header 'Authorization: Bearer <token>'

Permission: campaigns:view

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

campaignId
required
string format: uuid
version
required
integer format: int64
>= 1

OK

Media typeapplication/json
object
abTest
object
bestTime
boolean
durationHours
required
integer format: int64
>= 1 <= 72
kind
required
string
Allowed values: subject content send_time
metric
required
string
Allowed values: human_opens clicks manual
testPercent
required

Share of the audience in the test

integer format: int64
>= 5 <= 50
variants
required
Array<object>
>= 2 items <= 3 items
object
html
string
<= 2000000 characters
key
required

Variant A is the campaign itself

string
Allowed values: A B C
mjml
string
<= 2000000 characters
preheader
string
<= 500 characters
sendTime
string
/^([01]\d|2[0-3]):[0-5]\d$/
subject
string
<= 998 characters
winner
string
current
required
boolean
html
required
string
label
required
string
mjml
required
string
preheader
required
string
savedAt
required
string format: date-time
savedBy
required
string
sections
required
Array<string>
sizeBytes
required
integer format: int64
source
required
string
Allowed values: create autosave manual restore template import duplicate api
subject
required
string
version
required
integer format: int64

Example

{
"abTest": {
"kind": "subject",
"metric": "human_opens",
"variants": [
{
"key": "A"
}
]
},
"source": "create"
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}